  /***************************************************************************\
  * cc_config.js														      *	
  * Written by:                                                               *
  *  - Adriano Pereira da silva - Prognus <adriano@prognus.com.br>            *
  *  - Airton Bordin Junior - Prognus <airton@prognus.com.br>                 *
  *  - http://www.prognus.com.br                                              *
  * ------------------------------------------------------------------------- *
  *  This program is free software; you can redistribute it and/or modify it  *
  *  under the terms of the GNU General Public License as published by the    *
  *  Free Software Foundation; either version 2 of the License, or (at your   *
  *  option) any later version.                                               *
  \***************************************************************************/



	/*
	 * @function cc_attribute_clear
	 * @abstract Elimina as tuplas com campos vazios antes de enviar o formulrio via POST
	 * @author Prognus software livre - http://www.prognus.com.br
	 * @param form
	 */
	function cc_attribute_clear(form)
	{

		var vars = document.getElementsByClassName("cc_attribute");
		
		var tupla;
		var select;
		var inputs;
		
		for (var i=0; i<vars.length; i++) {	
			tupla = vars[i];
			inputs = tupla.getElementsByTagName("input");
			
			if(inputs[0].value == "" || inputs[1].value == "") 
			{		
				//tupla.parentNode.removeChild(tupla);
				inputs[0].setAttribute("value", "");
				inputs[1].setAttribute("value", "");
				
				select = tupla.getElementsByTagName("select");
				select[0].innerHTML = "<option value=\"\" selected=\"selected\"></option>";
				select[1].innerHTML = "<option value=\"\" selected=\"selected\"></option>";
				
				tupla.style.visible = "hidden";
				tupla.style.display = "none";
			}
		}
		form.submit();
	}
	
	
	
	/*
	 * @function cc_attribute_add
	 * @abstract Adiciona uma nova tupla de campos ao final da lista de tuplas 
	 * @author Prognus software livre - http://www.prognus.com.br
	 * @param
	 */
	function cc_attribute_add()
	{
		var stringTexto = document.getElementsByClassName("cc_attribute")[0].getElementsByTagName("select")[0].getElementsByTagName("option")[0].innerHTML;
		var stringMultivalorado = document.getElementsByClassName("cc_attribute")[0].getElementsByTagName("select")[0].getElementsByTagName("option")[1].innerHTML
		
		var numeroAtributo = 0;
		var vars = document.getElementsByClassName("cc_attribute");
		
		var maior = 0;
		for (var i=0; i<vars.length; i++) {
			var tupla = vars[i];
			var linhaIndice = tupla.getElementsByTagName("input")[0];
			var arrayDeTokens = linhaIndice.getAttribute("name").split("_");
			
			numeroAtributo = arrayDeTokens[3];
			numeroAtributo = numeroAtributo.substr(0, numeroAtributo.length -1);
			numeroAtributo = parseInt(numeroAtributo);  
			if (numeroAtributo > maior) { 
				maior = numeroAtributo;
			}
		}
		
		maior++;
		numeroAtributo = maior;
		
		var cc_attribute_name = "newsettings[cc_attribute_name_" + numeroAtributo + "]";
		var cc_attribute_ldapname = "newsettings[cc_attribute_ldapname_" + numeroAtributo + "]";
		var cc_attribute_type        = "newsettings[cc_attribute_type_" + numeroAtributo + "]";
		var cc_attribute_searchable = "newsettings[cc_attribute_searchable_" + numeroAtributo + "]";
		
		var pool = document.getElementById("cc_attribute_fields");
		var btn = document.getElementById("c_attribute_box_adder"); // nome do id definido no template.
		
		var newDiv = document.createElement("div");
			newDiv.setAttribute("class", "cc_attribute");
	
		var formularioNome = document.createElement("input");
			formularioNome.setAttribute("type", "text");
			formularioNome.setAttribute("name", cc_attribute_name);
			formularioNome.setAttribute("value", "");
			formularioNome.setAttribute("style", "width: 170px;");
	
		var formularioLdap = document.createElement("input");
			formularioLdap.setAttribute("type", "text");
			formularioLdap.setAttribute("name", cc_attribute_ldapname);
			formularioLdap.setAttribute("value", "");
			//formularioLdap.setAttribute("style", "margin: 0px 40px;");
			formularioLdap.setAttribute("style", "width: 170px;");

		var selectTipos = document.createElement("select");
		selectTipos.setAttribute("name", cc_attribute_type);
		selectTipos.setAttribute("style", "width: 86px; margin: 0px 0px 0px 8px");
		//selectTipos.setAttribute("style", "margin: 0px 0px 0px 8px");
			var optionTexto = document.createElement("option");
			optionTexto.setAttribute("value", "text");
			optionTexto.setAttribute("selected", "selected");
			optionTexto.innerHTML = stringTexto + " ";
		
			var optionMultivalorado = document.createElement("option");
			optionMultivalorado.setAttribute("value", "multivalues");
			optionMultivalorado.innerHTML = stringMultivalorado + " ";
			
		selectTipos.appendChild(optionTexto);
		selectTipos.appendChild(optionMultivalorado);
				
		var selectPesquisavel = document.createElement("select");
		selectPesquisavel.setAttribute("name", cc_attribute_searchable);
		selectPesquisavel.setAttribute("style", "margin: 0px 16px;");
			var optionYes = document.createElement("option");
				optionYes.setAttribute("value", "true");
				optionYes.innerHTML = "Sim ";
			var optionNo = 	document.createElement("option");
				optionNo.setAttribute("value", "false");
				optionNo.setAttribute("selected", "selected");
				optionNo.innerHTML = "No ";
			
				
		selectPesquisavel.appendChild(optionYes);
		selectPesquisavel.appendChild(optionNo);		
				
				
				
		var imagem = document.createElement("img");
			imagem.setAttribute("type", "image");
			imagem.setAttribute("src", "contactcenter/templates/default/images/cc_x.png");
			imagem.setAttribute("alt", "Excluir Campo ");
			imagem.setAttribute("style", "width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;");
			imagem.setAttribute("onclick", "javascript:cc_attribute_delete(this)");
	
		newDiv.appendChild(formularioNome);
		newDiv.appendChild(document.createTextNode(" "));
		newDiv.appendChild(formularioLdap);
		newDiv.appendChild(document.createTextNode(" "));
		newDiv.appendChild(selectTipos);
		newDiv.appendChild(document.createTextNode(" "));
		newDiv.appendChild(selectPesquisavel);
		newDiv.appendChild(document.createTextNode(" "));
		newDiv.appendChild(imagem);

		pool.appendChild(newDiv);
	}
	
	/*
	 * @function cc_attribute_clear(form)
	 * @abstract Exclui uma tupla e de campos, onde e  uma referncia ao elemento HTML (div) container da tupla  
	 * @author Prognus software livre - http://www.prognus.com.br
	 * @param e
	 * 
	 */
	function cc_attribute_delete(e) 
	{
			var tupla = e.parentNode;
			
			var inputs = tupla.getElementsByTagName("input");

				inputs[0].value = "";
				inputs[1].value = "";
				
				var select = tupla.getElementsByTagName("select");
				select[0].innerHTML = "<option value=\"\" selected=\"selected\"></option>";
				select[1].innerHTML = "<option value=\"\" selected=\"selected\"></option>";		
				
			tupla.style.visible = "hidden";
			tupla.style.display = "none";
		
//		e.parentNode.parentNode.removeChild(e.parentNode);
	}
